!+ Subroutine to normalize weights in ESFT.
!
! Method:
!	The ESFT weights are summed and the weights are scaled to
!	adjust this sum to unity.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77  with extensions listed in documentation.
!
!- ---------------------------------------------------------------------
      SUBROUTINE ADJUST_FIT(N_TERM, A, K)
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/dimensions_spec.ucf'
!
!     DUMMY ARGUMENTS.
      INTEGER	!, INTENT(IN)
     &     N_TERM                          
!             NUMBER OF TERMS IN FIT
      REAL*8	!, INTENT(INOUT)
     &     A(NPD_ESFT_TERM)                  
!             WEIGHTS OF FIT
     &   , K(NPD_ESFT_TERM)                  
!             EXPONENTS OF FIT
!
!     LOCAL VARIABLES.
      INTEGER
     &     I                               
!             LOOP VARIABLE
      REAL*8
     &     SUM                             
!             SUM OF WEIGHTS
!
!
!     FIND THE SUM OF THE PRESENT WEIGHTS, THEN SCALE THEM TO SUM TO 1.
!     ADJUST THE EXPONENTS CORRESPONDINGLY SO AS TO PRESERVE THE LIMIT
!     OF SMALL AMOUNTS OF ABSORBER.
      SUM=0.0D+00
      DO I=1, N_TERM
         SUM=SUM+A(I)
      ENDDO
      DO I=1, N_TERM
         A(I)=A(I)/SUM
         K(I)=K(I)*SUM
      ENDDO
!
!
      RETURN
      END
